关闭

Ext plugins in eclipse

174人阅读 评论(0) 收藏 举报
容:

Spket Eclipse Plugin & IDE

Spket的安装

1、Plugin:
       最低要求: eclipse平台运行时3.2.x ,
       文件为: spket-1.6.4.1.zip(与别的插件的安装无异,相信不用我多说了吧
    2、Spket IDE:
       最低要求:你需要java 1.5或更高版本运行安装程序,可独立使用(不用装Eclipse
         文件为:spket-1.6.4.1.jar
       安装步骤:1、打开cmd,2、在spket-1.6.4.1.jar文件目录下输入java -jar spket-1.6.4.1.jar
      3、回车(相信你已看到安装画面
    3、Update Site
       这是更新网站,为spket的ide 。
       使用它,打开eclipse的updatemanager (在eclipse下的帮助菜单) ,并新增一个书签为:
      http://www.spket.com/update
   4.

  • Window → Preferences → Spket → JavaScript Profiles → New
  • Enter “ExtJS” and click OK
  • Select “ExtJS” and click “Add Library”, then choose “ExtJS” from the dropdown
  • Select “ExtJS” and click “Add File”, then choose the “ext.jsb” file in your “./ext-2.x/source” directory
  • Set the new ExtJS profile as the default by selecting it an clicking the “Default” button on the right-hand side of the “JavaScript Profiles” dialog.
  • Restart Aptana
  • Create a new JS file and type: Ext. and you should get the Ext Code completion options.



Since you will have installed it as a plugin in Aptana, chances are Aptana will still be your default JS editor. So to try Spket, you need to right click on a file and select Open with -> Spket JavaScript Editor.

0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:150789次
    • 积分:3841
    • 等级:
    • 排名:第8566名
    • 原创:234篇
    • 转载:83篇
    • 译文:1篇
    • 评论:6条